Get External Value
Get a list of external values.
Get a list of external values.
Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/forms/designer/external-value/sources
COPY
Request Body
FormExtValueSourceSearchRequest
of type(s)
application/json
Required
{
"filter": "string",
"externalSource": "string",
"valueType": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"resultSize": 0
}
string
filter
Optional
filter
string
externalSource
Optional
externalSource
object
valueType
Optional
valueType
integer As int32
As int32
resultSize
Optional
resultSize
Responses
200
'Success' with a list of external value results
Returns
FormExtValueSourceSearchResponse
of type(s)
application/json
{
"resultSize": 0,
"resultMaxSize": 0,
"resultTotalSize": 0,
"result": [
{
"fqn": "string",
"resultType": {
"dataType": "string",
"referenceType": "string",
"fields": [
"ComplexTypeField Object"
],
"isMultiple": false
},
"description": "string",
"inputParameters": [
{
"paramName": "string",
"paramType": {
"dataType": "string",
"referenceType": "string",
"fields": [
"ComplexTypeField Object"
],
"isMultiple": false
}
}
],
"name": "string",
"category": "string"
}
],
"partialResult": false
}
integer As int32
As int32
resultSize
Optional
resultSize
integer As int32
As int32
resultMaxSize
Optional
resultMaxSize
integer As int32
As int32
resultTotalSize
Optional
resultTotalSize
array of
object
result
Optional
result
boolean
partialResult
Optional
partialResult
400
'Bad Request' if FormExtValueSourceSearchRequest is in invalid format
Operation doesn't return any data structure
403
'Forbidden' no forms viewer access rights
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/form-service/api/forms/designer/external-value/sources